
#include <qdialog.h>
#include <qlistbox.h>
#include <qbitmap.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qbuttongroup.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qfile.h>

class MyApp : public QDialog {
  Q_OBJECT
public:
    MyApp ( QObject * /*parent*/ = 0 );

	void setupQt ();

	bool cancelled ();

	int  loadFile ();

	int  process ();

	bool setInFile  ( QString& infile );

	QString& changeExtension ();

	void listBoxToFile ( QFile& file );

	int cmdLine ( int argc, char ** argv );


public slots:
	void slotSave ();
	void slotQuit ();
	void slotNameChanged (const QString&);
	void slotPackageChanged (const QString&);

protected:
	QVBoxLayout vLayout;
	QListBox 	listBox;

	QPushButton	* pbSave;
	QPushButton	* pbQuit;
	QLineEdit   leName;
	QLineEdit   lePackage;
	QLabel		* lName;
	QLabel		* lPackage;

private:
	// Return Codes
	enum {
		eNoError,
        eBitmapNotOpened,
		eOutfileNotCreated,
		eTooManyFiles,
		eImpureKey,
		eUnknownKey,
        eInfileNotBitmap,
        eHelp
	};

	enum {
		eInFile,
		eOutFile 
	};

	QBitmap  bmp;	
	QString  inFile;
	QString  outFile;
    bool     bVerbose;

	void textChanged ( QLineEdit& le,
					   int        iLine );

	void append ( QString& s );

	void append ( const char * psz );

	void writeBitmapToStream ();
}; 

void help ();

/* endfile */
